%global _hardened_build 1

Name:           netbsd-iscsi
Version:        20080207
Release:        15%{?dist}
Summary:        User-space implementation of iSCSI target from NetBSD project

Group:          System Environment/Daemons
License:        BSD
URL:            http://NetBSD.org/
Source0:        http://www.alistaircrooks.co.uk/src/netbsd-iscsi-%{version}.tar.gz
Source1:        netbsd-iscsi.service
Source2:        netbsd-iscsi.sysconfig
Patch0:         netbsd-iscsi-20071205-linux.patch
Patch1:         netbsd-iscsi-20080207-utf8.patch
Patch2:         netbsd-iscsi-20080207-allocate.patch
Patch3:         netbsd-iscsi-20140902-ldflags.patch

Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
BuildRequires: systemd

%description
NetBSD iSCSI is an iSCSI target following the iSCSI RFC 3720.  It is based
on the BSD-licensed Intel iSCSI reference model.  It has been tried and
tested with the Microsoft iSCSI initiator, version 1.06.


%prep
%setup -q
%patch0 -p1 -b .linux
%patch1 -p1 -b .utf8
%patch2 -p1 -b .allocate
%patch3 -p1 -b .ldflags


%build
cd src
%configure
make %{?_smp_mflags} all


%install
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_sysconfdir}/iscsi
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_mandir}/man8
install -d %{buildroot}%{_mandir}/man5
install -d %{buildroot}%{_unitdir}

install -m 755 src/iscsi-target %{buildroot}%{_sbindir}
install -m 644 src/iscsi-target.8 %{buildroot}%{_mandir}/man8
install -m 644 src/etc/targets  %{buildroot}%{_sysconfdir}/iscsi
install -m 644 src/targets.5    %{buildroot}%{_mandir}/man5

install -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/netbsd-iscsi.service
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/netbsd-iscsi


%post
%systemd_post netbsd-iscsi.service

%preun
%systemd_preun netbsd-iscsi.service

%postun
%systemd_postun_with_restart netbsd-iscsi.service


%files
%dir %{_sysconfdir}/iscsi
%config(noreplace) %{_sysconfdir}/iscsi/targets
%config(noreplace) %{_sysconfdir}/sysconfig/netbsd-iscsi
%{_unitdir}/netbsd-iscsi.service
%{_sbindir}/iscsi-target
%{_mandir}/man5/targets.5*
%{_mandir}/man8/iscsi-target.8*
%doc doc/license doc/README doc/README_OSD
%doc doc/COMPATIBILITY doc/FAQ doc/PERFORMANCE


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080207-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Sep  2 2014 Lubomir Rintel <lkundrak@v3.sk> - 20080207-14
- Enable hardening (Dhiru Kholia, #955290)

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080207-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080207-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 29 2014 Lubomir Rintel <lkundrak@v3.sk> - 20080207-11
- Fix environment file inclusion

* Tue May 27 2014 Lubomir Rintel <lkundrak@v3.sk> - 20080207-10
- Port to systemd (#914421)

* Thu Oct 24 2013 Lubomir Rintel <lkundrak@v3.sk> - 20080207-9
- Bulk sad and useless attempt at consistent SPEC file formatting

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080207-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080207-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080207-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080207-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080207-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080207-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080207-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Oct 3 2008 Lubomir Rintel <lkundrak@v3.sk> - 20080207-1
- Update to more recent upstream code
- Remove the silly prealocation code (#465533)

* Mon Jul 28 2008 Lubomir Rintel <lkundrak@v3.sk> 20071205-3
- Init script (thanks to Saturo Sato)

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 20071205-2
- Autorebuild for GCC 4.3

* Wed Dec 05 2007 Lubomir Kundrak <lkundrak@redhat.com> 20071205-1
- Initial package
